org.apache.flume.source

## Class AbstractSource

- java.lang.Object
- - org.apache.flume.source.AbstractSource

- All Implemented Interfaces:
    LifecycleAware, NamedComponent, Source
  Direct Known Subclasses:
    AvroLegacySource, AvroSource, EmbeddedSource, ExecSource, HTTPSource, MultiportSyslogTCPSource, NetcatSource, ScribeSource, SpoolDirectorySource, SyslogTcpSource, SyslogUDPSource, TaildirSource, ThriftLegacySource, ThriftSource, TwitterSource

      @InterfaceAudience.Public
      @InterfaceStability.Stable
      public abstract class AbstractSource
      extends Object
      implements Source

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractSource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChannelProcessor` | `getChannelProcessor()` Returns the channel processor that will handle this source's events.
    `LifecycleState` | `getLifecycleState()` Return the current state of the service or component.
    `String` | `getName()`
    `void` | `setChannelProcessor(ChannelProcessor cp)` Specifies which channel processor will handle this source's events.
    `void` | `setName(String name)`
    `void` | `start()` Starts a service or component.
    `void` | `stop()` Stops a service or component.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractSource

          public AbstractSource()

  - ### Method Detail

    - #### start

          public void start()

      Description copied from interface: `LifecycleAware`

      Starts a service or component.

      Implementations should determine the result of any start logic and effect the return value of `LifecycleAware.getLifecycleState()` accordingly.

      Specified by:
        `start` in interface `LifecycleAware`

    - #### stop

          public void stop()

      Description copied from interface: `LifecycleAware`

      Stops a service or component.

      Implementations should determine the result of any stop logic and effect the return value of `LifecycleAware.getLifecycleState()` accordingly.

      Specified by:
        `stop` in interface `LifecycleAware`

    - #### setChannelProcessor

          public void setChannelProcessor(ChannelProcessor cp)

      Description copied from interface: `Source`
      Specifies which channel processor will handle this source's events.
      Specified by:
        `setChannelProcessor` in interface `Source`

    - #### getChannelProcessor

          public ChannelProcessor getChannelProcessor()

      Description copied from interface: `Source`
      Returns the channel processor that will handle this source's events.
      Specified by:
        `getChannelProcessor` in interface `Source`

    - #### getLifecycleState

          public LifecycleState getLifecycleState()

      Description copied from interface: `LifecycleAware`

      Return the current state of the service or component.

      Specified by:
        `getLifecycleState` in interface `LifecycleAware`

    - #### setName

          public void setName(String name)

      Specified by:
        `setName` in interface `NamedComponent`

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `NamedComponent`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.